<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/user', 'UserController@index')->name('all.positions');
Route::get('/user/{id}', 'UserController@show')->where('id', '[0-9]+')->name('user.position');
Route::get('/user/{id}/last', 'UserController@showLast')->where('id', '[0-9]+')->name('last.position');

