<?php

namespace App\Http\Controllers;

use App\User;
use Illuminate\Http\Request;

class UserController extends Controller
{
    public function index(){
        $locations = [];
        foreach (User::all() as $user){
            $locations[] = $user->locations;
        }
        return $locations;
    }

    public function show(User $id){
        return $id->locations;
    }

    public function showLast(User $id){
        return $id->lastCoordinates;
    }
}
